#ifndef __RELATION_H
#include <relation.h>
#endif
#include "ef0101.h"

class TDistinta:public TObject
{
  TArray _righe_dist;
public:  
  TArray& righe() 
    { return _righe_dist;}  
  //ritorna il numero degli effetti nella distinta (nell'array)          
  const int items() const 
    { return _righe_dist.items(); }
  //elimina tutti gli effetti nella distinta (appartenti all'array)
  int reset() 
    { return _righe_dist.destroy() == NOERR; }  
  int read(const char tipo, const long numero);
  int read(const TRectype& rec);
  int write(bool force = FALSE, TToken_string* dati_dist = NULL);
  int rewrite(TToken_string* dati_dist)
    { return write(TRUE, dati_dist); }
  int remove(char tipodist, long ndist); 
  const char tipodist() const { return ((TRectype&)_righe_dist[0]).get_char(EFF_TIPODIST); }
  const long ndist() const { return ((TRectype&)_righe_dist[0]).get_long(EFF_NDIST); }
  TDistinta() {};  
  TDistinta(const char tipo, const long numero);
  TDistinta(const TRectype& rec);
  virtual ~TDistinta() {}
};